org.eclipse.viatra.query.patternlanguage.emf.vql

## Enum CompareFeature

- java.lang.Object
- - java.lang.Enum<CompareFeature>
  - - org.eclipse.viatra.query.patternlanguage.emf.vql.CompareFeature

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CompareFeature>, org.eclipse.emf.common.util.Enumerator

      public enum CompareFeature
      extends java.lang.Enum<CompareFeature>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Compare Feature', and utility methods for working with them.
  See Also:
    `PatternLanguagePackage.getCompareFeature()`
  Generated:
  Model:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUALITY` The 'Equality' literal object.
    `INEQUALITY` The 'Inequality' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EQUALITY_VALUE` The 'Equality' literal value.
    `static int` | `INEQUALITY_VALUE` The 'Inequality' literal value.
    `static java.util.List<CompareFeature>` | `VALUES` A public read-only list of all the 'Compare Feature' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompareFeature` | `get(int value)` Returns the 'Compare Feature' literal with the specified integer value.
    `static CompareFeature` | `get(java.lang.String literal)` Returns the 'Compare Feature' literal with the specified literal value.
    `static CompareFeature` | `getByName(java.lang.String name)` Returns the 'Compare Feature' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static CompareFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CompareFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALITY

          public static final CompareFeature EQUALITY

      The 'Equality' literal object.
      See Also:
        `EQUALITY_VALUE`
      Generated:
      Ordered:

    - #### INEQUALITY

          public static final CompareFeature INEQUALITY

      The 'Inequality' literal object.
      See Also:
        `INEQUALITY_VALUE`
      Generated:
      Ordered:

  - ### Field Detail

    - #### EQUALITY_VALUE

          public static final int EQUALITY_VALUE

      The 'Equality' literal value.

      If the meaning of 'Equality' literal object isn't clear, there really should be more of a description here...

      See Also:
        `EQUALITY`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="equality" literal="=="

    - #### INEQUALITY_VALUE

          public static final int INEQUALITY_VALUE

      The 'Inequality' literal value.

      If the meaning of 'Inequality' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INEQUALITY`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="inequality" literal="!="

    - #### VALUES

          public static final java.util.List<CompareFeature> VALUES

      A public read-only list of all the 'Compare Feature' enumerators.
      Generated:

  - ### Method Detail

    - #### values

          public static CompareFeature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompareFeature c : CompareFeature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompareFeature valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static CompareFeature get(java.lang.String literal)

      Returns the 'Compare Feature' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getByName

          public static CompareFeature getByName(java.lang.String name)

      Returns the 'Compare Feature' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### get

          public static CompareFeature get(int value)

      Returns the 'Compare Feature' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<CompareFeature>`
      Generated: